/* *****************
   DEFINES.H
       This file contains all the global variables and defined constants
       for both lissajou.c and output.c.

       Program originally written by Dan Farmer using algorithms from
       Clifford Pickover.  Converted from QuickBasic to C by Aaron C. Caba.
       See Scientific American January 1991 and Omni February 1990 for
       excellent examples by Pickover.


History:

  12/18/91: ACC Move all defines, and global var's to DEFINES.H
                I did this to break the program into manageable chunks.

 *************************/

#ifndef _DEFINES
#define _DEFINES

/*======================== Global Structure Types =========================*/
/* structure queue_type.  Holds:  x,y,z -- coordinates of sphere
                                  r     -- radius of sphere
*/
struct queue_type {float x; float y; float z;};


/* #define DEBUG */         /* to turn on debugging routines and such */

#define MAXALGO                 5   /* number of possible algorithms    */
#define MAXSPHERES           2000
#define OUTPUT_COLOR_LEN       46
#define PI          (4*atan(1.0))   /* Not apple....                    */
#define VERSION            "1.51"
#define X                       1
#define Y                       2
#define Z                       3
#include <dos.h>                    /* To bump up the stack space -- 
                                       see _stklen in lissajou.h */

#endif
